Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.query
Class UndeclaredVariable

    java.lang.Object
      net.sf.saxon.query.GlobalVariableDefinition
          net.sf.saxon.query.UndeclaredVariable

All Implemented Interfaces:
  SourceLocator, VariableDeclaration, Declaration

    public class UndeclaredVariable

extends GlobalVariableDefinition

An UndeclaredVariable object is created when a reference is encountered to a variable that has not yet been declared. This can happen as a result of recursive module imports. These references are resolved at the end of query parsing.

Field Summary

Fields inherited from class net.sf.saxon.query.GlobalVariableDefinition
`references`

Constructor Summary
`UndeclaredVariable()`

Method Summary
`GlobalVariable` | `compile(Executable exec, int slot)` Create a compiled representation of this global variable
`void` | `transferReferences(VariableDeclaration var)`

Methods inherited from class net.sf.saxon.query.GlobalVariableDefinition
`explain, getColumnNumber, getCompiledVariable, getLineNumber, getPublicId, getRequiredType, getSystemId, getValueExpression, getVariableQName, isParameter, isPrivate, iterateReferences, registerReference, setIsParameter, setLineNumber, setPrivate, setRequiredType, setSystemId, setValueExpression, setVariableQName, typeCheck`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UndeclaredVariable

    public UndeclaredVariable()

Method Detail

### transferReferences

    public void transferReferences(VariableDeclaration var)

### compile

    public GlobalVariable compile(Executable exec,
                                  int slot)
                           throws XPathException

  Description copied from class: `GlobalVariableDefinition`
  Create a compiled representation of this global variable

  Overrides:
    `compile` in class `GlobalVariableDefinition`
  Parameters:
    `exec` - the executable
    `slot` - the slot number allocated to this variable
  Returns:
    the compiled representation
  Throws:
    `XPathException` - if compile-time errors are found.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2011 Saxonica Limited. All rights reserved.